Subject: bug#78860: closed (Re: bug#78860: 30.1.90; eshell: wrong-number-of-arguments)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Jun 2025 02:38:02 +0000

Your bug report

#78860: 30.1.90; eshell: wrong-number-of-arguments

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78860: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78860
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78860: 30.1.90; eshell: wrong-number-of-arguments
From: Christopher Howard <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sun, 22 Jun 2025 18:36:51 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I determined that, for some unknown reason the elc file for esh-ext.el was not being recompiled, even after a "make clean". I was able to resolve this issue by running a "make distclean" instead, which deletes the all the elc files under the lisp directory.

I'm mildy curious why that "make clean" does not delete elc files. In most projects I've used, make clean delete all compiled files. But I'm sure there must be some arcane reason for it, probably documented in some installation instructions I didn't bother to read.

-- 
Christopher Howard

Subject: 30.1.90; eshell: wrong-number-of-arguments
From: Christopher Howard <[email-masked]>
To: [email-masked]
Date: Sat, 21 Jun 2025 20:24:38 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

When I run the command "git status" in eshell, I am getting the error "wrong-number-of-arguments".

M-x package-isolate <ENTER> <ENTER>
M-x eshell <ENTER>
git status <ENTER> [or] *git status <ENTER>

With debug-on-error, here is the backtrace:

```
Debugger entered--Lisp error: (wrong-number-of-arguments (1 . 1) 2)
  eshell-stringify("status" nil)
  #f(compiled-function (i) #<bytecode 0x12a893834464da57>)("status")
  mapcar(#f(compiled-function (i) #<bytecode 0x12a893834464da57>) ("status"))
  eshell-connection-local-command("/home/christopher/.guix-home/profile/bin/git" ("status"))
  eshell-external-command("/home/christopher/.guix-home/profile/bin/git" ("status"))
  eshell-explicit-command("*git" ("status"))
  run-hook-with-args-until-success(eshell-explicit-command "*git" ("status"))
  eshell-named-command("*git" ("status"))
  eval((eshell-named-command '"*git" '("status")))
  eshell-do-eval((eshell-named-command '"*git" '("status")) nil)
  eshell-do-eval((unwind-protect (eshell-named-command '"*git" '("status")) (mapc #'funcall eshell-this-command-hook)) nil)
  #f(compiled-function () #<bytecode -0x165b8d1d61fa8b16>)()
  funcall(#f(compiled-function () #<bytecode -0x165b8d1d61fa8b16>))
  (let ((eshell-this-command-hook '(ignore))) (funcall '#f(compiled-function () #<bytecode -0x165b8d1d61fa8b16>)))
  eval((let ((eshell-this-command-hook '(ignore))) (funcall '#f(compiled-function () #<bytecode -0x165b8d1d61fa8b16>))))
  eshell-do-eval((let ((eshell-this-command-hook '(ignore))) (unwind-protect (eshell-named-command '"*git" '("status")) (mapc #'funcall eshell-this-command-hook))) nil)
  (condition-case err (eshell-do-eval '(let ((eshell-this-command-hook '(ignore))) (unwind-protect (eshell-named-command '"*git" '("status")) (mapc #'funcall eshell-this-command-hook))) nil) ((debug error) (eshell-errorn (error-message-string err)) (eshell-close-handles 1)))
  eval((condition-case err (eshell-do-eval '(let ((eshell-this-command-hook '...)) (unwind-protect (eshell-named-command '"*git" '...) (mapc #'funcall eshell-this-command-hook))) nil) ((debug error) (eshell-errorn (error-message-string err)) (eshell-close-handles 1))))
  eshell-do-eval((condition-case err (eshell-do-eval '(let ((eshell-this-command-hook '...)) (unwind-protect (eshell-named-command '"*git" '...) (mapc #'funcall eshell-this-command-hook))) nil) ((debug error) (eshell-errorn (error-message-string err)) (eshell-close-handles 1))) nil)
  eshell-do-eval((condition-case err (eshell-do-eval '(let ((eshell-this-command-hook '...)) (unwind-protect (eshell-named-command '"*git" '...) (mapc #'funcall eshell-this-command-hook))) nil) ((debug error) (eshell-errorn (error-message-string err)) (eshell-close-handles 1))) nil)
  #f(compiled-function () #<bytecode -0x165b8d1d61fa8b16>)()
  funcall(#f(compiled-function () #<bytecode -0x165b8d1d61fa8b16>))
  (let ((eshell-current-handles '[nil (((t) . 2) t) (((t) . 2) t)])) (funcall '#f(compiled-function () #<bytecode -0x165b8d1d61fa8b16>)))
  eval((let ((eshell-current-handles '[nil ((... . 2) t) ((... . 2) t)])) (funcall '#f(compiled-function () #<bytecode -0x165b8d1d61fa8b16>))))
  eshell-do-eval((let ((eshell-current-handles '[nil ((... . 2) t) ((... . 2) t)])) (condition-case err (eshell-do-eval '(let ((eshell-this-command-hook ...)) (unwind-protect (eshell-named-command ... ...) (mapc ... eshell-this-command-hook))) nil) ((debug error) (eshell-errorn (error-message-string err)) (eshell-close-handles 1)))) nil)
  eshell-do-eval((progn (let ((eshell-current-handles '[nil (... t) (... t)])) (condition-case err (eshell-do-eval '(let (...) (unwind-protect ... ...)) nil) ((debug error) (eshell-errorn (error-message-string err)) (eshell-close-handles 1))))) nil)
  eshell-do-eval((unwind-protect (progn (let ((eshell-current-handles '[nil ... ...])) (condition-case err (eshell-do-eval '(let ... ...) nil) ((debug error) (eshell-errorn (error-message-string err)) (eshell-close-handles 1))))) (run-hooks 'eshell-post-command-hook)) nil)
  eshell-do-eval((progn 'nil (unwind-protect (progn (let ((eshell-current-handles '...)) (condition-case err (eshell-do-eval '... nil) ((debug error) (eshell-errorn ...) (eshell-close-handles 1))))) (run-hooks 'eshell-post-command-hook))) nil)
  #f(compiled-function () #<bytecode -0x165b8d1d61fa8b16>)()
  funcall(#f(compiled-function () #<bytecode -0x165b8d1d61fa8b16>))
  (let ((eshell-current-handles '[nil (((t) . 2) t) (((t) . 2) t)]) (eshell-current-subjob-p 'nil)) (funcall '#f(compiled-function () #<bytecode -0x165b8d1d61fa8b16>)))
  eval((let ((eshell-current-handles '[nil ((... . 2) t) ((... . 2) t)]) (eshell-current-subjob-p 'nil)) (funcall '#f(compiled-function () #<bytecode -0x165b8d1d61fa8b16>))))
  eshell-do-eval((let ((eshell-current-handles '[nil ((... . 2) t) ((... . 2) t)]) eshell-current-subjob-p) (progn 'nil (unwind-protect (progn (let ((eshell-current-handles ...)) (condition-case err (eshell-do-eval ... nil) (... ... ...)))) (run-hooks 'eshell-post-command-hook)))))
  eshell-resume-eval((nil (let ((eshell-current-handles '[nil (... t) (... t)]) eshell-current-subjob-p) (progn 'nil (unwind-protect (progn (let (...) (condition-case err ... ...))) (run-hooks 'eshell-post-command-hook)))) nil))
  eshell-eval-command((let ((eshell-current-handles '[nil ((... . 2) t) ((... . 2) t)]) eshell-current-subjob-p) (progn 'nil (unwind-protect (progn (let ((eshell-current-handles ...)) (condition-case err (eshell-do-eval ... nil) (... ... ...)))) (run-hooks 'eshell-post-command-hook)))) "*git status")
  eshell-send-input(nil)
  funcall-interactively(eshell-send-input nil)
  call-interactively(eshell-send-input nil nil)
  command-execute(eshell-send-input)
```

In GNU Emacs 30.1.90 (build 5, x86_64-pc-linux-gnu, GTK+ Version
 3.24.43, cairo version 1.18.4) of 2025-06-16 built on nightshade
Repository revision: a2bfce5d2a7d046a45c25364f3c69b3d8a776081
Repository branch: emacs-30
Windowing system distributor 'The X.Org Foundation', version 11.0.12101015
System Description: Guix System

Configured using:
 'configure --prefix=/home/christopher/local'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
LCMS2 LIBOTF LIBSELINUX LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY PDUMPER
PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
TREE_SITTER WEBP X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
  value of $EMACSLOADPATH: /home/christopher/local/share/emacs/30.1.90/lisp
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix

Major mode: Eshell

Minor modes in effect:
  eshell-prompt-mode: t
  eshell-pred-mode: t
  eshell-hist-mode: t
  eshell-cmpl-mode: t
  eshell-proc-mode: t
  eshell-arg-mode: t
  repeat-mode: t
  rcirc-track-minor-mode: t
  server-mode: t
  minibuffer-depth-indicate-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  minibuffer-regexp-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort flyspell ispell face-remap mail-extr emacsbug message
yank-media puny rfc822 mml mml-sec epa derived epg rfc6068 epg-config
gnus-util mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils help-fns radix-tree cl-print debug backtrace
find-func em-xtra em-unix em-tramp em-term term disp-table ehelp
em-smart em-script em-prompt em-pred em-ls em-hist em-glob em-extpipe
em-elecslash thingatpt tramp trampver tramp-integration tramp-message
tramp-compat xdg shell format-spec tramp-loaddefs em-cmpl em-dirs
em-basic em-banner em-alias esh-mode esh-var eshell esh-cmd generator
esh-ext esh-opt esh-proc esh-io esh-arg pcomplete esh-module
esh-module-loaddefs esh-util pcase ange-ftp comint ansi-osc ansi-color
files-x rx jka-compr misearch multi-isearch vc-git diff-mode
track-changes easy-mmode vc-dispatcher bookmark text-property-search pp
repeat rcirc parse-time iso8601 time-date ring dired-x dired
dired-loaddefs cl-extra help-mode use-package-core server kmacro
mb-depth display-line-numbers cus-load green-phosphor-theme finder-inf
package browse-url url url-proxy url-privacy url-expand url-methods
url-history url-cookie generate-lisp-file url-domsuf url-util mailcap
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs icons
password-cache json subr-x map byte-opt gv bytecomp byte-compile
url-vars cl-loaddefs cl-lib rmc iso-transl tooltip cconv eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd touch-screen tool-bar dnd fontset
image regexp-opt fringe tabulated-list replace newcomment text-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo gtk
x-toolkit xinput2 x multi-tty move-toolbar make-network-process emacs)

Memory information:
((conses 16 179702 28595) (symbols 48 16464 2) (strings 32 53212 2712)
 (string-bytes 1 1428680) (vectors 16 32306)
 (vector-slots 8 1023137 126537) (floats 8 73 34)
 (intervals 56 2312 489) (buffers 992 16))

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ